/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreValueDeDe;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValueDeDeRecord extends TableRecordImpl<VCoreValueDeDeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_value_de_de.value_lang</code>.
     */
    public void setValueLang(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value_de_de.value_lang</code>.
     */
    public String getValueLang() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_value_de_de.varvalue</code>.
     */
    public void setVarvalue(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value_de_de.varvalue</code>.
     */
    public Integer getVarvalue() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_value_de_de.value_order</code>.
     */
    public void setValueOrder(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value_de_de.value_order</code>.
     */
    public Integer getValueOrder() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_value_de_de.fk_value_valuelist</code>.
     */
    public void setFkValueValuelist(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value_de_de.fk_value_valuelist</code>.
     */
    public Integer getFkValueValuelist() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_value_de_de.de_de</code>.
     */
    public void setDeDe(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_value_de_de.de_de</code>.
     */
    public String getDeDe() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValueDeDeRecord
     */
    public VCoreValueDeDeRecord() {
        super(VCoreValueDeDe.V_CORE_VALUE_DE_DE);
    }

    /**
     * Create a detached, initialised VCoreValueDeDeRecord
     */
    public VCoreValueDeDeRecord(String valueLang, Integer varvalue, Integer valueOrder, Integer fkValueValuelist, String deDe) {
        super(VCoreValueDeDe.V_CORE_VALUE_DE_DE);

        setValueLang(valueLang);
        setVarvalue(varvalue);
        setValueOrder(valueOrder);
        setFkValueValuelist(fkValueValuelist);
        setDeDe(deDe);
        resetChangedOnNotNull();
    }
}
